Skip to main content
POST
Create snapshot policy

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Body

application/json
action
enum<string>
required

Action that the policy will perform.

Available options:
volume_snapshot
Example:

"volume_snapshot"

name
string
required

Name of the lifecycle policy.

Example:

"schedule_1"

schedules
(CreateCronScheduleSerializer · object | CreateIntervalScheduleSerializer · object)[]

List of schedules associated with the policy.

Maximum array length: 10

List of schedules associated with the policy. If the schedule made 'max_quantity' snapshots, a new snapshot will be created in time, but the oldest from the schedules snapshots will be deleted. If 'retention_time' was set and the schedules snapshots will be delete after the specified period of time. In resource_name_template you can use such forms that will then be automatically filled in with values: '{volume_id}', '{schedule_id}', '{lifecycle_policy_id}', '{datetime_utc}', '{local_datetime}'.

Example:
status
enum<string>
default:active

Current status of the lifecycle policy.

Available options:
active,
paused
Example:

"active"

volume_ids
string<uuid4>[]

List of volume IDs.

Example:

Response

200 - application/json

OK

action
string
required

Action associated with the lifecycle policy.

Example:

"volume_snapshot"

id
integer
required

Unique identifier for the policy.

Example:

1

name
string
required

Name of the policy.

Example:

"schedule_1"

project_id
integer
required

Project ID associated with the policy.

Example:

1

region_id
integer
required

Region ID where the policy is applied.

Example:

1

schedules
(GetCronScheduleSerializer · object | GetIntervalScheduleSerializer · object)[]
required

List of schedules within the policy.

Example:
status
enum<string>
required

Status of the lifecycle policy.

Available options:
active,
paused
Example:

"active"

user_id
integer
required

User ID of the creator of the policy.

Example:

11

volumes
VolumeDataForLifecyclePolicySerializer · object[]
required

Data of volumes that should be reserved. Displayed only when the query parameter is specified.

Example: